export default (function (_ref) {
  var projectId = _ref.projectId;
  return {
    autoQuery: false,
    paging: false,
    dataKey: null,
    transport: {
      read: function read(_ref2) {
        var data = _ref2.data;

        var _ref3 = data || {},
            appServiceId = _ref3.appServiceId,
            startTime = _ref3.startTime,
            endTime = _ref3.endTime,
            objectType = _ref3.objectType;

        return {
          url: "/devops/v1/projects/".concat(projectId, "/app_service/").concat(appServiceId, "/sonarqube_table?type=").concat(objectType, "&startTime=").concat(startTime, "&endTime=").concat(endTime),
          method: 'get'
        };
      }
    }
  };
});